
From: Mikael Pettersson <mikpe@csd.uu.se>

CONFIG_PERFCTR=n leads to compile-time warnings from the syscall prototypes
in <linux/perfctr.h>.  I'm not sure if providing dummy struct declarations
is cleaner than bracketing the offending code inside #ifdef CONFIG_PERFCTR,
but this patch should fix the warnings for now.

---

 25-akpm/include/linux/perfctr.h |    5 +++++
 1 files changed, 5 insertions(+)

diff -puN include/linux/perfctr.h~perfctr-disabled-build-fix include/linux/perfctr.h
--- 25/include/linux/perfctr.h~perfctr-disabled-build-fix	Tue Jun  1 16:48:58 2004
+++ 25-akpm/include/linux/perfctr.h	Tue Jun  1 16:48:58 2004
@@ -54,6 +54,11 @@ struct vperfctr_control {
 	unsigned int _reserved4;
 };
 
+#else
+struct perfctr_info;
+struct perfctr_cpu_mask;
+struct perfctr_sum_ctrs;
+struct vperfctr_control;
 #endif	/* CONFIG_PERFCTR */
 
 #ifdef __KERNEL__
_
